{//////////////////////////////////////////////////////////////////////////}
{//                                                                      //}
{//                DIR.H IMPORT UNIT for GPC                             //}
{//                                                                      //}
{//  v1.00 - by Dr Abimbola A. Olowofoyeku (The African Chief);          //}
{//                                                                      //}
{//  This package is released as part of the GNU Pascal project.         //}
{//                                                                      //}
{//  NOTE - SOME OF THE ROUTINES IN THIS UNIT MAY NOT WORK CORRECTLY.    //}
{//  TEST CAREFULLY AND USE WITH CARE !!!                                //}
{//                                                                      //}
{//  This library is a free library; you can redistribute and/or modify  //}
{//  it under the terms of the GNU Library General Public License,       //}
{//  version 2, as published by the Free Software Foundation.            //}
{//                                                                      //}
{//  This library is distributed in the hope that it will be useful,     //}
{//  but WITHOUT ANY WARRANTY; without even the implied warranty of      //}
{//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       //}
{//  GNU Library General Public License for more details.                //}
{//                                                                      //}
{//  You should have received a copy of the GNU Library General Public   //}
{//  License along with this library (see the file COPYING.LIB);         //}
{//  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,  //}
{//  Cambridge, MA 02139, USA.                                           //}
{//                                                                      //}
{//  v1.00, May 1997 - Dr A Olowofoyeku: laa12@keele.ac.uk               //}
{//  Homepage: http://ourworld.compuserve.com/homepages/African_Chief    //}
{//////////////////////////////////////////////////////////////////////////}
UNIT DIR;

INTERFACE

USES GPCTYPES;
{$W-}

Type ffblk = packed record
               LFN_MAGIC : packed array [0..5] of Char;
               LFN_HANDLE : ShortInt;
               LFN_CTIME : ShortWord;
               LFN_CDATE : ShortWord;
               LFN_ATIME : ShortWord;
               LFN_ADATE : ShortWord;
               _FF_RESERVED : packed Array [0..4] of Char;
               FF_ATTRIB : Byte;
               FF_FTIME : ShortWord;
               FF_FDATE : ShortWord;
               FF_FSIZE : Word;
               FF_NAME : packed Array [0..259] of Char;
             end {ffblk};


Type ffblklfn = packed record
                  FD_ATTRIB : LongWord;
                  FD_CTIME : LongWord;
                  FD_ATIME : LongWord;
                  FD_MTIME : LongWord;
                  FD_SIZEHI : LongWord;
                  FD_SIZE : LongWord;
                  FD_RESERVED : LongWord;
                  FD_LONGNAME : packed Array [0..259] of Char;
                  FD_NAME : packed Array [0..13] of Char;
                end {ffblklfn};

Const FA_RDONLY = 1;
Const FA_HIDDEN = 2;
Const FA_SYSTEM = 4;
Const FA_LABEL  = 8;
Const FA_DIREC  = 16;
Const FA_ARCH   = 32;

{+// for fnmerge/fnsplit */ }
Const MAXPATH  = 80;
Const MAXDRIVE = 3;
Const MAXDIR   = 66;
Const MAXFILE  = 9;
Const MAXEXT   = 5;

Const WILDCARDS = $01;
Const EXTENSION = $02;
Const FILENAME  = $04;
Const DIRECTORY = $08;
Const DRIVE     = $10;

Type
DirTSearchRec = ffblk;
DirSearchRec  = DirTSearchRec;
DirTSearchRecLFN = ffblklfn;

function  __file_tree_walk ( _dir : PChar;
                          _path : pChar;
                          Var   _ff : FFBLK ) : Integer; C;

{put underscore before the name so as not to clash
 with the DOS unit }
function  _findfirst ( _pathname : PChar;
                   Var _ffblk : FFBLK;
                   _attrib : Integer ) : Integer; AsmName 'findfirst';

{put underscore before the name so as not to clash
 with the DOS unit }
function  _findnext ( Var _ffblk : FFBLK ) : Integer; AsmName 'findnext' ;

procedure fnmerge ( _path : PChar;
                  _drive : PChar;
                  _dir : PChar;
                  _name : PChar;
                  _ext : PChar ); C;

function  fnsplit ( _path : PChar;
                 _drive : PChar;
                 _dir : PChar;
                 _name : PChar;
                 _ext : PChar ) : Integer; C;

function  getdisk : Integer; C;

function  searchpath ( _program : PChar ) : PChar; C;

function  setdisk ( _drive : Integer ) : Integer; C;


IMPLEMENTATION


End.

