{//////////////////////////////////////////////////////////////////////////}
{//                                                                      //}
{//                TIME.H IMPORT UNIT for GPC                            //}
{//                                                                      //}
{//  v1.00 - by Dr Abimbola A. Olowofoyeku (The African Chief);          //}
{//                                                                      //}
{//  This package is released as part of the GNU Pascal project.         //}
{//                                                                      //}
{//  NOTE - SOME OF THE ROUTINES IN THIS UNIT MAY NOT WORK CORRECTLY.    //}
{//  TEST CAREFULLY AND USE WITH CARE !!!                                //}
{//                                                                      //}
{//  This library is a free library; you can redistribute and/or modify  //}
{//  it under the terms of the GNU Library General Public License,       //}
{//  version 2, as published by the Free Software Foundation.            //}
{//                                                                      //}
{//  This library is distributed in the hope that it will be useful,     //}
{//  but WITHOUT ANY WARRANTY; without even the implied warranty of      //}
{//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       //}
{//  GNU Library General Public License for more details.                //}
{//                                                                      //}
{//  You should have received a copy of the GNU Library General Public   //}
{//  License along with this library (see the file COPYING.LIB);         //}
{//  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,  //}
{//  Cambridge, MA 02139, USA.                                           //}
{//                                                                      //}
{//  v1.00, May 1997 - Dr A Olowofoyeku: laa12@keele.ac.uk               //}
{//  Homepage: http://ourworld.compuserve.com/homepages/African_Chief    //}
{//////////////////////////////////////////////////////////////////////////}
UNIT Time;

INTERFACE

USES GPCTYPES;
{$W-}

Const
UCLOCKS_PER_SEC = 1193180;
CLOCKS_PER_SEC  = 91;
CLK_TCK         = CLOCKS_PER_SEC;

Type
PTM = ^TM;
TM  = record
            tm_sec : Integer;
            tm_min : Integer;
            tm_hour : Integer;
            tm_mday : Integer;
            tm_mon : Integer;
            tm_year : Integer;
            tm_wday : Integer;
            tm_yday : Integer;
            tm_isdst : Integer;
            tm_zone : PChar;
            tm_gmtoff : Integer;
          end {tm};


function asctime ( Var tptr : TM ) : PChar; C;

function clock : integer; C;

function ctime ( Var cal : time_t ) : PChar; C;

function difftime ( t1, t0 : time_t ) : Double; C;

Function gmtime ( Var tod : time_t ) : PTM; C;


Type
timeval  = record
     tv_sec : time_t;
     tv_usec : longint;
end; {timeval}

Type
timezone = record
     tz_minuteswest : Integer;
     tz_dsttime : Integer;
end {timezone};

function gettimeofday ( Var tp : TIMEVAL;
                      Var tzp : TIMEZONE ) : Integer; C;

function rawclock : LongInt; C;
{
Type
fddtype= array[0.. (fd_setsize+6) / 8] of integer;

Type
fd_set = record
   fd_bits: fddtype;
end;


function select(nfds: Integer;
                var readfds: FD_SET;
                var writefds: FD_SET;
                var exceptfds: FD_SET;
                Var timeout: TIMEVAL): Integer; C;


function settimeofday(Var _tp: TIMEVAL;
                      _2: ...): Integer; C;
}
function uclock : integer; C;

IMPLEMENTATION

Begin
End.
