{//////////////////////////////////////////////////////////////////////////}
{//                                                                      //}
{//          (Incomplete) BORLAND COMPATIBLE "CRT" UNIT for GPC          //}
{//          some stuff by Peter Gerwinski                               //}
{//  check for comments which are marked with "!!!" for some differences //}
{//                                                                      //}
{//  v1.00 - by Dr Abimbola A. Olowofoyeku (The African Chief);          //}
{//                                                                      //}
{//  This package is released as part of the GNU Pascal project.         //}
{//                                                                      //}
{//  NOTE - SOME OF THE ROUTINES IN THIS UNIT MAY NOT WORK CORRECTLY.    //}
{//  TEST CAREFULLY AND USE WITH CARE !!!                                //}
{//                                                                      //}
{//  This library is a free library; you can redistribute and/or modify  //}
{//  it under the terms of the GNU Library General Public License,       //}
{//  version 2, as published by the Free Software Foundation.            //}
{//                                                                      //}
{//  This library is distributed in the hope that it will be useful,     //}
{//  but WITHOUT ANY WARRANTY; without even the implied warranty of      //}
{//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       //}
{//  GNU Library General Public License for more details.                //}
{//                                                                      //}
{//  You should have received a copy of the GNU Library General Public   //}
{//  License along with this library (see the file COPYING.LIB);         //}
{//  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,  //}
{//  Cambridge, MA 02139, USA.                                           //}
{//                                                                      //}
{//  v1.00, May 1997 - Dr A Olowofoyeku: laa12@keele.ac.uk               //}
{//  Homepage: http://ourworld.compuserve.com/homepages/African_Chief    //}
{//////////////////////////////////////////////////////////////////////////}
UNIT CRT;

INTERFACE

Const
    NO_CURSOR     = 0;
    SOLID_CURSOR  = 1;
    NORMAL_CURSOR = 2;

Const
    BLACK        = 0;
    BLUE         = 1;
    GREEN        = 2;
    CYAN         = 3;
    RED          = 4;
    MAGENTA      = 5;
    BROWN        = 6;
    LIGHTGRAY    = 7;
    DARKGRAY     = 8;
    LIGHTBLUE    = 9;
    LIGHTGREEN   = 10;
    LIGHTCYAN    = 11;
    LIGHTRED     = 12;
    LIGHTMAGENTA = 13;
    YELLOW       = 14;
    WHITE        = 15;

Const
    BLINK = $80; { blink bit }

Const
    LastMode = - 1;  { !!! A variable in Borland Pascal }
    bw40 = 0;
    co40 = 1;
    bw80 = 2;
    co80 = 3;
    mono = 7;
    font8x8 = 64 - co80;  { !!! Works only in combination with co80 }
    c40 = co40;           { Turbo Pascal 3.0 compatibility }
    c80 = co80;

Var
    DirectVideo :  asmname '_p_directvideo' Boolean;
    CheckBreak  :  Boolean value true;  {* !!! present but ignored *}
    CheckEOF    :  Boolean value false;
    CheckSnow   :  Boolean value true;  {* !!! present, but ignored *}

Procedure blinkvideo; C;

Procedure clreol; C;

Procedure clrscr; C;

Procedure delline; C;

Procedure gotoxy ( x : Integer; y : Integer ); C;

Procedure highvideo; C;

Procedure insline; C;

Function  KeyPressed : Boolean; AsmName '_conio_kbhit';

Procedure lowvideo; C;

Procedure normvideo; C;

Procedure textattr ( attr : Integer ); C;

Procedure textbackground ( xcolor : Integer ); C;

Procedure textcolor ( xcolor : Integer ); C;

Procedure textmode ( mode : Integer ); C;

Function  wherex : Integer; C;

Function  wherey : Integer; C;

Procedure window ( left  : Integer; top : Integer;
                   right : Integer; bottom : Integer ); C;

Procedure Delay ( msec : Word );C;

Procedure NoSound;

Procedure Sound ( Hz : integer ); C;

Function  ReadKey : Char; AsmName 'getch';

{ !!! dummy - does nothing !!! }
Procedure AssignCrt ( Var T : Text );

{//////////////////////////////////////}
{/// TurboPower TPCRT compatibility ///}
{//////////////////////////////////////}
Procedure BlockCursor;
Procedure FatCursor;
Procedure NormalCursor;
Procedure HiddenCursor;
{//////////////////////////////////////}
{/TurboPower TPCRT compatibility ends /}
{//////////////////////////////////////}
{ !!! extra: set the Cursor to "atype" !!! }
Procedure Cursor ( atype : Integer );

{///////////////////////////////}
{///////////////////////////////}
{///////////////////////////////}
IMPLEMENTATION
{///////////////////////////////}
{///////////////////////////////}
{///////////////////////////////}
{ helper function from C library }
Function  SetCursorType ( atype : Integer ) : integer; AsmName '_setcursortype';
{///////////////////////////////}
{///////////////////////////////}
Procedure AssignCrt ( Var T : Text );
Begin
End {* AssignCrt *};
{///////////////////////////////}
Procedure NoSound;
Begin
  Sound ( 0 );
End; {* NoSound *}
{///////////////////////////////}
{$W-}  { no warnings about discarding function values }
Procedure BlockCursor;
Begin
   setcursortype ( Solid_Cursor );
End; {* BlockCursor *}
{///////////////////////////////}
Procedure FatCursor;
Begin
   setcursortype ( Solid_Cursor );
End; {* FatCursor *}
{///////////////////////////////}
Procedure NormalCursor;
Begin
   setcursortype ( Normal_Cursor );
End; {* NormalCursor *}
{///////////////////////////////}
Procedure HiddenCursor;
Begin
   setcursortype ( No_Cursor );
End; {* HiddenCursor *}
{///////////////////////////////}
Procedure Cursor ( atype : integer );
Begin
   setcursortype ( atype );
End; {* SetCursor *}
{$W+}
{///////////////////////////////}
{///////////////////////////////}
{///////////////////////////////}
{///////////////////////////////}
Begin
   { !!! setting it to TRUE causes problems with WRITELNing
     functions that return string values !!! }

   {DirectVideo := True;}
End.
