{//////////////////////////////////////////////////////////////////////////}
{//                                                                      //}
{//                DOS.H IMPORT UNIT for GPC                             //}
{//                                                                      //}
{//  v1.00 - by Dr Abimbola A. Olowofoyeku (The African Chief);          //}
{//                                                                      //}
{//  This package is released as part of the GNU Pascal project.         //}
{//                                                                      //}
{//  NOTE - SOME OF THE ROUTINES IN THIS UNIT MAY NOT WORK CORRECTLY.    //}
{//  TEST CAREFULLY AND USE WITH CARE !!!                                //}
{//                                                                      //}
{//  This library is a free library; you can redistribute and/or modify  //}
{//  it under the terms of the GNU Library General Public License,       //}
{//  version 2, as published by the Free Software Foundation.            //}
{//                                                                      //}
{//  This library is distributed in the hope that it will be useful,     //}
{//  but WITHOUT ANY WARRANTY; without even the implied warranty of      //}
{//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       //}
{//  GNU Library General Public License for more details.                //}
{//                                                                      //}
{//  You should have received a copy of the GNU Library General Public   //}
{//  License along with this library (see the file COPYING.LIB);         //}
{//  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,  //}
{//  Cambridge, MA 02139, USA.                                           //}
{//                                                                      //}
{//  v1.00, May 1997 - Dr A Olowofoyeku: laa12@keele.ac.uk               //}
{//  Homepage: http://ourworld.compuserve.com/homepages/African_Chief    //}
{//////////////////////////////////////////////////////////////////////////}
UNIT DOSH;

INTERFACE

USES GPCTYPES;

{$X+}    { use extended syntax }
{$W-}    { disable warnings }


Type DWORDREGS = record
                   edi : LongInt;
                   esi : LongInt;
                   ebp : LongInt;
                   cflag : LongInt;
                   ebx : LongInt;
                   edx : LongInt;
                   ecx : LongInt;
                   eax : LongInt;
                   eflags : ShortWord;
                 end {DWORDREGS};


Type DWORDREGS_W = record
                     di : LongInt;
                     si : LongInt;
                     bp : LongInt;
                     cflag : LongInt;
                     bx : LongInt;
                     dx : LongInt;
                     cx : LongInt;
                     ax : LongInt;
                     flags : ShortWord;
                   end {DWORDREGS_W};


Type WORDREGS = record
                  di, _upper_di : Byte;
                  si, _upper_si : Byte;
                  bp, _upper_bp : Byte;
                  cflag, _upper_cflag : Byte;
                  bx, _upper_bx : Byte;
                  dx, _upper_dx : Byte;
                  cx, _upper_cx : Byte;
                  ax, _upper_ax : Byte;
                  flags : Byte;
                end {WORDREGS};


Type BYTEREGS = record
                  di, _upper_di : Byte;
                  si, _upper_si : Byte;
                  bp, _upper_bp : Byte;
                  cflag : LongInt;
                  bl : Byte;
                  bh : Byte;
                  _upper_bx : Byte;
                  dl : Byte;
                  dh : Byte;
                  _upper_dx : Byte;
                  cl : Byte;
                  ch : Byte;
                  _upper_cx : Byte;
                  al : Byte;
                  ah : Byte;
                  _upper_ax : Byte;
                  flags : Byte;
                end {BYTEREGS};


Type REGS = record
              case Word of
{= Compatible with DPMI structure, except cflag }
               1 : ( d : DWORDREGS; );
{$IFDEF _NAIVE_DOS_REGS}
               2 : ( x : WORDREGS; );
{$ELSE}
{$IFDEF _BORLAND_DOS_REGS}
               3 : ( x : DWORDREGS; );
{$ELSE}
               4 : ( x : DWORDREGS_W; );
{$ENDIF}
{$ENDIF}
               5 : ( w : WORDREGS; );
               6 : ( h : BYTEREGS; );
            end {REGS};


Type SREGS = record
               es : Byte;
               ds : Byte;
               fs : Byte;
               gs : Byte;
               cs : Byte;
               ss : Byte;
             end {SREGS};


Type ftime = record
               sec : Word;
{= 0-29, double to get real seconds }
               min : Word;
{= 0-59 }
               hour : Word;
{= 0-23 }
               day : Word;
{= 1-31 }
               month : Word;
{= 1-12 }
               year : Word;
{= since 1980 }
             end {ftime};


Type date = record
              year  : ShortInt;
              day   : Byte;
              month : Byte;
            end {date};


Type time = record
              min : Byte;
              hour : Byte;
              hund : Byte;
              sec : Byte;
            end {time};


Type dfree = record
               avail : Word;
               total : Word;
               bsec : Word;
               sclus : Word;
             end {dfree};

Type
TFileTime = Record
               sec :   Word; {= 0-29, double to get real seconds }
               min :   Word; {= 0-59 }
               hour :  Word; {= 0-23 }
               day :   Word; {= 1-31 }
               month : Word; {= 1-12 }
 	       year :  Word; {= since 1980 }
end {TFileTime};

function _get_dos_version ( _1 : Integer ) : Byte; C;

Function int86 ( ivec : integer; Var _in : regs; Var _out : regs ) : integer;C;
Function int86x ( ivec : integer; Var _in : regs; Var _out : regs;Var _seg : sregs ) : integer;C;

Function int386 ( ivec : integer; Var _in : regs; Var _out : regs ) : integer;AsmName 'int86';
Function int386x ( ivec : integer; Var _in : regs; Var _out : regs;Var _seg : sregs ) : integer;AsmName 'int86x';

Function intdos ( Var _in : regs; Var _out : regs ) : integer;C;
Function intdosx ( Var _in : regs; Var _out : regs;Var _seg : sregs ) : integer;C;
Function bdos ( func : integer;dx : word;al : word ) : integer;C;
Function bdosptr ( func : integer;dx : pointer;al : word ) : integer;C;
Function enable : integer;C;
Function disable : integer;C;

Function GetFileTime ( handle : integer; Var ftimep : TFileTime ) : integer;
AsmName 'getftime';

Function SetFileTime ( handle : integer; Var ftimep : TFileTime ) : integer;
AsmName 'setftime';

{!!! underscores used in these names to avoid clash with DOS unit !!!}
Function _getftime ( handle : integer; Var ftimep : FTime ) : integer;
AsmName 'getftime';
Function _setftime ( handle : integer; Var ftimep : FTime ) : integer;
AsmName 'setftime';
Procedure _getdate ( Var X : date );AsmName 'getdate';
Procedure _gettime ( Var X : time );AsmName 'gettime';
Procedure _setdate ( Var X : date );AsmName 'setdate';
Procedure _settime ( Var X : time );AsmName 'settime';
{!!! end of undercores !!!}

Function getcbrk : integer;C;
Function setcbrk ( new_value : integer ) : integer;C;
Procedure getdfree ( drive : Byte; Var _ptr : dfree );C;
Procedure delay ( msec : Word );C;

{-* For compatibility with other DOS C compilers. }
Const _A_NORMAL = $00; {/* Normal file - No read/write restrictions */}
Const _A_RDONLY = $01; {/* Read only file */}
Const _A_HIDDEN = $02; {/* Hidden file */}
Const _A_SYSTEM = $04; {/* System file */}
Const _A_VOLID  = $08; {/* Volume ID file */}
Const _A_SUBDIR = $10; {/* Subdirectory */}
Const _A_ARCH   = $20; {/* Archive file */}

Const _enable = enable;
Const _disable = disable;

Type _dosdate_t = record
    day : byte;
    month : byte;
    year : ShortWord;
    dayofweek : byte;
end; {_dosdate_t}
Type dosdate_t = _dosdate_t;

Type _dostime_t = record
                    hour : Byte;
                    minute : Byte;
                    second : Byte;
                    hsecond : Byte;
                  end {_dostime_t};
Type dostime_t = _dostime_t;


Type _find_t = packed record
                 RESERVED : packed array [0..20] of char;
                 ATTR : Byte;
                 TIME : ShortWord;
                 DATE : ShortWord;
                 SIZE : ShortWord;
                 NAME : packed array [0..255] of char;
               end {_find_t};
Type find_t = _find_t;

Type _diskfree_t = record
                     total_clusters : Byte;
                     avail_clusters : Byte;
                     sectors_per_cluster : Byte;
                     bytes_per_sector : Byte;
                   end {_diskfree_t};
Type diskfree_t = _diskfree_t;

Type _DOSERROR = record
                   exterror : Integer;
{$IFDEF __cplusplus}
                   errclass : Char;
{$ELSE}
                   class : Char;
{$ENDIF}
                   action : Char;
                   locus : Char;
                 end {_DOSERROR};
Type  DOSERRORTYPE = _DOSERROR;


function _dos_creat ( _filename : PChar;
                    _attr : Word;
                    Var _handle : Integer ) : Word; C;

function _dos_creatnew ( _filename : PChar;
                       _attr : Word;
                       Var _handle : Integer ) : Word; C;

function _dos_open ( _filename : PChar;
                   _mode : Word;
                   Var _handle : Integer ) : Word; C;

function _dos_write ( _handle : Integer;
                    Var _buffer{: Pointer};
                    _count : Word;
                    Var _result : Word ) : Word; C;

function _dos_read ( _handle : Integer;
                   Var _buffer;
                   _count : Word;
                   Var _result : Word ) : Word; C;

function _dos_close ( _handle : Integer ) : Word; C;

function _dos_commit ( _handle : Integer ) : Word; C;


function _dos_findfirst ( _name : PChar; 
                        _attr : Word;
                        Var _result : _FIND_T ) : Word; C;

function _dos_findnext ( Var _result : _FIND_T ) : Word; C;


procedure _dos_getdate ( Var _date : _DOSDATE_T ); C;

function _dos_setdate ( Var _date : _DOSDATE_T ) : Word; C;

procedure _dos_gettime ( Var _time : _DOSTIME_T ); C;

function _dos_settime ( Var _time : _DOSTIME_T ) : Word; C;


function _dos_getftime ( _handle : Integer;
                       Var _p_date : Word;
                       Var _p_time : Word ) : Word; C;

function _dos_setftime ( _handle : Integer;
                       _date : Word;
                       _time : Word ) : Word; C;

function _dos_getfileattr ( _filename : PChar;
                          Var _p_attr : Word ) : Word; C;

function _dos_setfileattr ( _filename : PChar;
                          _attr : Word ) : Word; C;

procedure _dos_getdrive ( Var _p_drive : Word ); C;

procedure _dos_setdrive ( _drive : Word;
                        Var _p_drives : Word ); C;

function _dos_getdiskfree ( _drive : Word;
                          Var _diskspace : _DISKFREE_T ) : Word; C;

function _dosexterr ( Var _p_error : _DOSERROR ) : Integer; C;
function dosexterr ( Var _p_error : _DOSERROR ) : Integer; AsmName '_dosexterr';

function _dos_findfirst ( _name : PChar;
                        _attr : Word;
                        Var _result : _FIND_T ) : Word; C;

function _dos_findnext ( Var _result : _FIND_T ) : Word; C;

Function getcwd ( buf : PChar;
                aize : SIZE_T ) : PChar; C;

Function  fnsplit ( path : PChar;
                 adrive : PChar;
                 adir : PChar;
                 aname : PChar;
                 aext : PChar ) : Integer; C;

IMPLEMENTATION
{$W+}
End.
