{//////////////////////////////////////////////////////////////////////////}
{//                                                                      //}
{//                STDIO.H IMPORT UNIT for GPC                           //}
{//                                                                      //}
{//  v1.00 - by Dr Abimbola A. Olowofoyeku (The African Chief);          //}
{//                                                                      //}
{//  This package is released as part of the GNU Pascal project.         //}
{//                                                                      //}
{//  NOTE - SOME OF THE ROUTINES IN THIS UNIT MAY NOT WORK CORRECTLY.    //}
{//  TEST CAREFULLY AND USE WITH CARE !!!                                //}
{//                                                                      //}
{//  This library is a free library; you can redistribute and/or modify  //}
{//  it under the terms of the GNU Library General Public License,       //}
{//  version 2, as published by the Free Software Foundation.            //}
{//                                                                      //}
{//  This library is distributed in the hope that it will be useful,     //}
{//  but WITHOUT ANY WARRANTY; without even the implied warranty of      //}
{//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       //}
{//  GNU Library General Public License for more details.                //}
{//                                                                      //}
{//  You should have received a copy of the GNU Library General Public   //}
{//  License along with this library (see the file COPYING.LIB);         //}
{//  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,  //}
{//  Cambridge, MA 02139, USA.                                           //}
{//                                                                      //}
{//  v1.00, May 1997 - Dr A Olowofoyeku: laa12@keele.ac.uk               //}
{//  Homepage: http://ourworld.compuserve.com/homepages/African_Chief    //}
{//////////////////////////////////////////////////////////////////////////}
UNIT Stdio;

INTERFACE

USES GPCTYPES;
{$W-}

Const _IOFBF = 00001;
Const _IONBF = 00002;
Const _IOLBF = 00004;

Const BUFSIZ = 16384;
{Const EOF = (-1);}
Const FILENAME_MAX = 260;
Const FOPEN_MAX = 20;
Const L_tmpnam = 260;
Const TMP_MAX = 999999;

Const SEEK_SET = 0;
Const SEEK_CUR = 1;
Const SEEK_END = 2;

{+// Note that the definitions of these fields are NOT guaranteed! They }
{-may change with any release without notice! The fact that they }
{=are here at all is to comply with ANSI specifictions. }


Type
IO_File = record
            _cnt : Integer;
            _ptr : PChar;
            _base : PChar;
            _bufsiz : Integer;
            _flag : Integer;
            _file : Integer;
            _name_to_remove : PChar;
end {_1};

PFILE = ^IO_File;

Type fpos_t = LongInt;
{
Const stdin = (&__dj_stdin);
Const stdout = (&__dj_stdout);
Const stderr = (&__dj_stderr);
}

procedure clearerr ( Var FStream : IO_File ); C;

function fclose ( Var FStream : IO_File ) : Integer; C;

function feof ( Var FStream : IO_File ) : Integer; C;

function ferror ( Var FStream : IO_File ) : Integer; C;

function fflush ( Var FStream : IO_File ) : Integer; C;

function fgetc ( Var FStream : IO_File ) : Integer; C;

function fgetpos ( Var FStream : IO_File;
                 Var _pos : Longint ) : Integer; C;

function fgets ( _s : PChar;
               _n : Integer;
               Var FStream : IO_File ) : PChar; C;

function fopen ( _filename : PChar;
                _mode : PChar ) : PFILE; C;

function fprintf ( Var FStream : IO_File;
                  _format : PChar;
                 _3 : VarArgs ) : Integer; C;

function fputc ( _c : Integer;
               Var FStream : IO_File ) : Integer; C;

function fputs ( _s : PChar;
               Var FStream : IO_File ) : Integer; C;

function fread ( Var _ptr;
               _size : SIZE_T;
               _nelem : SIZE_T;
               Var FStream : IO_File ) : SIZE_T; C;

function freopen ( _filename : PChar;
                  _mode : PChar;
                 Var FStream : IO_File ) : PFILE; C;

function fscanf ( Var FStream : IO_File;
                 _format : PChar;
                _3 : VarArgs ) : Integer; C;

function fseek ( Var FStream : IO_File;
               _offset : LongInt; 
               _mode : Integer ) : Integer; C;

function fsetpos ( Var FStream : IO_File;
                 Var _pos : FPOS_T ) : Integer; C;

function ftell ( Var FStream : IO_File ) : LongInt; C;

function fwrite ( Var _ptr;
                _size : SIZE_T;
                _nelem : SIZE_T;
                Var FStream : IO_File ) : SIZE_T; C;

function getc ( Var FStream : IO_File ) : Integer; C;

function getchar : Integer; C;

function gets ( _s : PChar ) : PChar; C;

procedure perror ( _s : PChar ); C;

function printf ( _format : PChar;
                _2 : VarArgs ) : Integer; C;

function putc ( _c : Char;
              Var FStream : IO_File ) : Char; C;

function putchar ( _c : Char ) : Char; C;

function puts ( _s : PChar ) : Integer; C;

function remove ( _filename : PChar ) : Integer; C;

function rename ( _old : PChar;
                 _new : PChar ) : Integer; C;

procedure rewind ( Var FStream : IO_File ); C;

function scanf ( _format : PChar;
               _2 : VarArgs ) : Integer; C;

procedure setbuf ( Var FStream : IO_File;
                 _buf : PChar ); C;

function setvbuf ( Var FStream : IO_File;
                 _buf : PChar; 
                 _mode : Integer; 
                 _size : SIZE_T ) : Integer; C;

function sprintf ( _s : PChar; 
                  _format : PChar;
                 _3 : VarArgs ) : Integer; C;

function sscanf ( _s : PChar;
                 _format : PChar;
                _3 : VarArgs ) : Integer; C;

function tmpfile : PFILE; C;

function tmpnam ( _s : PChar ) : PChar; C;

function ungetc ( _c : Char;
                Var FStream : IO_File ) : Integer; C;

function vfprintf ( Var FStream : IO_File;
                   _format : PChar;
                  _ap : VA_LIST ) : Integer; C;

function vprintf ( _format : PChar;
                 _ap : VA_LIST ) : Integer; C;

function vsprintf ( _s : PChar;
                   _format : PChar;
                  _ap : VA_LIST ) : Integer; C;

Const STREAM_MAX = 20{ - DOS can change this */};


function fileno ( Var FStream : IO_File ) : Integer; C;

function fdopen ( handle : Integer;
                 _type : PChar ) : PFILE; C;

function pclose ( Var _pf : IO_File ) : Integer; C;

function popen ( _command : PChar;
                _mode : PChar ) : PFILE; C;
{
Const stdprn = (&__dj_stdprn);
Const stdaux = (&__dj_stdaux);
}

procedure _djstat_describe_lossage ( Var _to_where : IO_File ); C;


function _doprnt ( _fmt : PChar;
                 _args : VA_LIST;
                 Var _f : IO_File ) : Integer; C;

function _doscan ( Var _f : IO_FILE;
                  _fmt : PChar;
                 Var _argp : Pointer ) : Integer; C;

{function _doscan_low(Var af: IO_File;
                     Var _get): PINT ( * )(IO_File;
                     Var _unget)(int: PINT (;
                     ): PFILE;
                      _fmt: PChar;
                     Var _argp: Pointer): Integer; C;
}
function fpurge ( Var _f : IO_File ) : Integer; C;

function getw ( Var _f : IO_File ) : Integer; C;

function mkstemp ( _template : PChar ) : Integer; C;

function mktemp ( _template : PChar ) : PChar; C;

function putw ( _v : Integer;
              Var _f : IO_File ) : Integer; C;

procedure setbuffer ( Var _f : IO_File;
                    Var _buf;
                    _size : Integer ); C;

procedure setlinebuf ( Var _f : IO_File ); C;

function tempnam ( _dir : PChar;
                  _prefix : PChar ) : PChar; C;

function _rename ( _old : PChar;
                  _new : PChar ) : Integer; C;

IMPLEMENTATION

End.
