{//////////////////////////////////////////////////////////////////////////}
{//                                                                      //}
{//         TEST PROGRAM for GPC - TESTS THE CRT UNIT                    //}
{//                                                                      //}
{//         By Dr Abimbola A. Olowofoyeku (The African Chief);           //}
{//                                                                      //}
{//  This test program is released as part of the GNU Pascal project,    //}
{//  for the SOLE purpose of testing the routines in certain units.      //}
{//                                                                      //}
{//  This program is a free program; you can redistribute and/or modify  //}
{//  it under the terms of the GNU Library General Public License,       //}
{//  version 2, as published by the Free Software Foundation.            //}
{//                                                                      //}
{//  This library is distributed in the hope that it will be useful,     //}
{//  but WITHOUT ANY WARRANTY; without even the implied warranty of      //}
{//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       //}
{//  GNU Library General Public License for more details.                //}
{//                                                                      //}
{//  You should have received a copy of the GNU Library General Public   //}
{//  License along with this library (see the file COPYING.LIB);         //}
{//  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,  //}
{//  Cambridge, MA 02139, USA.                                           //}
{//                                                                      //}
{//  May 1997 - Dr A Olowofoyeku: laa12@keele.ac.uk                      //}
{//  Homepage: http://ourworld.compuserve.com/homepages/African_Chief    //}
{//////////////////////////////////////////////////////////////////////////}
PROGRAM TestCrt;

USES
GPCTYPES, GPCUTIL, STRINGS, CRT;
{$W-}

Var
p  : pchar;
ch : Char;
i  : integer;
f  : text;
s  : string;

Begin
   {
   AssignCrt ( f );
   Rewrite ( f );
   Writeln ( f, 'Hello ');
   Close ( f );
   }

   TextColor ( LightCyan );
   TextBackground ( Blue );

   BlockCursor;

   getmem ( p, 1024 );
   WriteString ( 'Press a key: ' );
   Ch := ReadKey;
   WritelnString ( 'You pressed: ' + ch );
   p := Strpcopy ( p, 'Hello World' );
   WritepChar ( strupper ( p ) );
   freemem ( p, 1024 );

   Writeln;
   WriteString ( 'Press any key to stop ... ' );

   While Not KeyPressed do begin
     write ( '.' );
     delay ( 250 );
   end;

   Writeln;

   WritelnString ( 'You pressed : ' + ReadKey );

   NormalCursor;

End.

