{//////////////////////////////////////////////////////////////////////////}
{//                                                                      //}
{//         TEST PROGRAM for GPC - TESTS SOME STRING FUNCTIONS           //}
{//                                                                      //}
{//         By Dr Abimbola A. Olowofoyeku (The African Chief);           //}
{//                                                                      //}
{//  This test program is released as part of the GNU Pascal project,    //}
{//  for the SOLE purpose of testing the routines in certain units.      //}
{//                                                                      //}
{//  This program is a free program; you can redistribute and/or modify  //}
{//  it under the terms of the GNU Library General Public License,       //}
{//  version 2, as published by the Free Software Foundation.            //}
{//                                                                      //}
{//  This library is distributed in the hope that it will be useful,     //}
{//  but WITHOUT ANY WARRANTY; without even the implied warranty of      //}
{//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       //}
{//  GNU Library General Public License for more details.                //}
{//                                                                      //}
{//  You should have received a copy of the GNU Library General Public   //}
{//  License along with this library (see the file COPYING.LIB);         //}
{//  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,  //}
{//  Cambridge, MA 02139, USA.                                           //}
{//                                                                      //}
{//  May 1997 - Dr A Olowofoyeku: laa12@keele.ac.uk                      //}
{//  Homepage: http://ourworld.compuserve.com/homepages/African_Chief    //}
{//////////////////////////////////////////////////////////////////////////}
PROGRAM TestStr;

USES GPCTYPES, SYSTEM, STRINGS, GPCUTIL;

{$W-}
Var
s, s1, s2 : string;
i, j, k : integer;
p : pchar;

Begin
    s := '1234567890';
    Writeln ( 'Start =', s );
    Writeln ( 'Copy  =', Copy ( s, 1, 8 ) );
    Delete  ( s, 1, 2 );
    Writeln ( 'Delete=', s );
    Insert  ( '12', s, 1 );
    Writeln ( 'Insert=', s );

    s := 'C:\GPC\BP\process.pas';
    Writeln ( ForceExtension ( s , 'FRE' ) );
    Writeln ( AddBackSlash ( s ) );
    i := pos ( 'o', s );
    Writeln ( i );
    Writeln ( JustExtension ( s ) );

    Writeln ( JustPathName ( s ) );
    Writeln ( JustFileName ( s ) );

    getmem ( p, 255 );
    p := strpcopy ( p, 'progman.exe' );
    writelnpchar ( pathlocate ( p ) );
    writeln ( _fileexists ( p ) );
    Writeln ( thisdirectory );
    Writeln ( fullpathname ( 'gpcc.exe' ) );
    Writeln ( fullpathname ( 'SYSTEM.pas' ) );
End.
